## com.ibm.lab.soln.dialogs
Class MyWizardAction

    java.lang.Object
      |
      +--com.ibm.lab.soln.dialogs.MyWizardAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

public class MyWizardAction
extends java.lang.Object
implements org.eclipse.ui.IObjectActionDelegate

Supports a workbench action that opens a wizard. Creates the wizard dialog, adds the wizard, and opens the dialog to support wizard processing.

Constructor Summary
`MyWizardAction()` Constructor for MyWizardAction.

Method Summary
`void` | `run(org.eclipse.jface.action.IAction action)` Creates an instance of the wizard and then uses a to directly open the wizard.
`void` | `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)` Saves a reference to the current selection in the workbench user interface.
`void` | `setActivePart(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart targetPart)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyWizardAction

    public MyWizardAction()

  Constructor for MyWizardAction.

Method Detail

### run

    public void run(org.eclipse.jface.action.IAction action)

  Creates an instance of the wizard and then uses a to directly open the wizard.
  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.run(IAction)`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Saves a reference to the current selection in the workbench user interface.
  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
  See Also:
    `IActionDelegate.selectionChanged(IAction, ISelection)`

### setActivePart

    public void setActivePart(org.eclipse.jface.action.IAction action,
                              org.eclipse.ui.IWorkbenchPart targetPart)

  Specified by:
    `setActivePart` in interface `org.eclipse.ui.IObjectActionDelegate`